Subject: Re: [OPSAWG] Plea for action: draft-schoenw-opsawg-nm-dhc-04

From: Tom Taylor <[email-masked]>
Date: Mon, 14 Oct 2013 20:29:44 -0400

Sorry I haven't replied. I called on colleagues who knew the context 
better for help, but first vacation and now, pressure to complete other 
drafts has prevented them from giving any attention to this. Until the 
use case becomes clearer I guess I'll let it rest.

Tom Taylor

On 30/09/2013 5:38 PM, Warren Kumari wrote:
>
> On Sep 27, 2013, at 1:12 PM, Tom Taylor <[email-masked]> wrote:
>
>> No I have no intention of seeking another meeting slot for this little document. But I do ask whether people can approve it in principle, so we can put through the necessary Standards Action to get the DHCP/DHCPv6 options in place.
>>
>> Again, this is about DHCP options to tell a router where to find two management entities, the SYSLOG Collector and the SNMP Notification Receiver, for use primarily in configuring mobile backhaul.
>
> <no hats>
>
> I must admit to being a little confused by this draft / the use case.
>
> The draft says:
>   "The Dynamic Host Configuration Protocol (DHCPv4 [RFC2131] and DHCPv6
>     [RFC3315]) is a relevant tool for this purpose.  It provides a number
>     of existing options to allow a node to acquire its configuration file
>     and to locate key servers in the network. "
>
> Presumably the node connects to $something and downloads a (node specific) config file -- why is the SYSLOG and SNMP devices not simply defined in the config file?
>
> Or, is the intent that the nodes will all download the *same* config file, and then use DHCP options to provide the node specific bits?
>
> If the latter, is [DNS, Hostname, SYSLOG, SNMP] the only things that differ between nodes? What about interface names / addresses / ssh keys / etc?
> I'm so not a mobile operator, so maybe I'm just not understanding what sorts of things these nodes do and so what sort of node specific config they need.
>
> I'm not disagreeing with the concept, I'm more intrigued…
>
> </no hats>
> W
>
...